Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.filter.expression
Interface Subtract

All Superinterfaces:
  BinaryExpression, Expression

    @XmlElement(value="Sub")
    public interface Subtract

extends BinaryExpression

Encodes the operation of subtraction where the second argument is subtracted from the first.

Instances of this interface implement their `evaluate` method by computing the numeric difference between the first and second operand.

Since:
  GeoAPI 2.0
Version:
  Implementation specification 1.0

Field Summary

Fields inherited from interface Expression
`NIL`

Method Summary

Methods inherited from interface BinaryExpression
`getExpression1, getExpression2`

Methods inherited from interface Expression
`accept, evaluate, evaluate`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.